Subject: bug#516: [PATCH] Minor Enhancement for grep.el: auto-input the symbol into minibuffer command line.

From: Kazuo YAGI <[email-masked]>
Date: Wed, 02 Jul 2008 12:47:10 +0900

Hi guys,

I'd like to suggest a minor enhancement for "lisp/progmodes/grep.el".

This patch is to let you input the cursor position symbol automatically
into minibuffer command line. I think it makes us easier to use "grep-find"
function.

Also attached is the images for showing how to work "grep-find" function
before and after this patch.

I confirmed that it is possible to apply this patch both 22.1 and 22.2 version.

Thanks,
- Kazuo YAGI
--- cur/grep.el	2007-04-08 11:08:48.000000000 +0900
+++ my/grep.el	2008-07-02 11:19:47.000000000 +0900
@@ -566,7 +566,7 @@ easily repeat a find command."
      (grep-compute-defaults)
      (if grep-find-command
 	 (list (read-from-minibuffer "Run find (like this): "
-				     grep-find-command nil nil
+				     (concat grep-find-command (thing-at-point 'symbol)) nil nil
                                      'grep-find-history))
        ;; No default was set
        (read-string